MindDrift.Preloader = function(game){
    this.preloadBar = null;
    this.titleText = null;
    this.ready = false;
};

MindDrift.Preloader.prototype = {
    preload:function() {       
                
        this.load.image('background', 'images/brain-background.jpg');
        
        //floor tiles
        this.load.image("floor1", "images/floor-tiles/floor1.png");
        
        //HUD
        this.load.image('off-white-bg', 'images/bg-off-white.jpg');
        this.load.image('off-black-bg', 'images/bg-off-black.jpg');
        this.load.image('progressBarBackground', 'images/status-bar-background.png');
        this.load.image('progressBarForeground', 'images/status-bar-foreground.png');
        this.load.image('blood-swatch', 'images/bg-blood.jpg');
        this.load.image('heal-swatch', 'images/orbheal.jpg');
        
        // player sprite
        this.load.spritesheet('dude', 'images/player_sprite_v2.png', 54, 60);
        
        // orb sprite
        this.load.spritesheet('blueOrb', 'images/orbBlue54hx52w.png', 54, 52);
        
        // grue sprite - bloody grin
        this.load.spritesheet('grue', 'images/GrueBloodyGrin.png', 56, 71, 4);
        
        //audio
        this.load.audio('good-memory-collide', 'audio/good-memory-collide.mp3');
        this.load.audio('bad-memory-collide', 'audio/oww.mp3');
        this.load.audio('menu-music', 'audio/TitleTheme.mp3');
        this.load.audio('game-music', 'audio/GameMusicLevel.mp3')
        
        //physics
        this.load.physics("physics", "images/floor-tiles/game-physics.json");
        
        //fonts
//        this.load.bitmapFont('game-font', 'fonts/font.png', 'fonts/font.fnt');
        this.load.bitmapFont('game-font', 'fonts/font.png', 'fonts/font.fnt');
        
        //smoke sprite
        this.load.spritesheet('darkSmoke', 'images/Effects/BlackSmoke/darkSmoke.png', 70, 71);


        // start and end game state screen graphics
        this.load.image('wonEndScreen', 'images/doorEndScene.png');
      //  this.load.image('creditsTextArea', 'images/creditsTextArea.png');
        this.load.image('lostEndScreen', 'images/lose-screen.png');
        this.load.image('titlescreen', 'images/Start-Screen.png');
        this.load.image('button', 'images/blue_button01.png');

        
        this.load.bitmapFont('customFont', 'fonts/font.png', 'fonts/font.fnt');
  
//        this.load.bitmapFont('eightbitwonder', 'fonts/eightbitwonder.png', 'fonts/eightbitwonder.fnt');

        // door for end of level
        this.load.image('door', 'images/red_door.png');
    },
    
    create:function() {

    },
    
    update:function() {
        this.ready = true;
        this.state.start('StartMenu');
//        this.state.start('LostGameMenu');
    }
};