MindDrift.StartMenu = function(game){
    this.startBG;
    this.startPrompt;
    this.menuMusic;
}

MindDrift.StartMenu.prototype = {
  
    create:function() {
        startBG = this.add.image(0, 0, 'titlescreen');
        
        this.startButton = this.add.image(this.world.centerX - 90, this.world.centerY+100, 'button');
        
        startBG.inputEnabled = true;
        startBG.events.onInputDown.addOnce(this.startGame, this);
        
        startPrompt = this.add.bitmapText(this.world.centerX-75, this.world.centerY+106, 'customFont', 'Touch to Start', 17);
        
        startPrompt = this.add.bitmapText(this.world.centerX - 145, this.world.centerY - 285, 'customFont', 'Mind Drift', 50);
        
        this.menuMusic = this.add.audio('menu-music');
        this.menuMusic.play('', 0, 0.3, true);
    },
    
    startGame:function(pointer) {
        this.state.start('Game');
    },
    
    shutdown:function() {
        this.menuMusic.stop();
    },
};